import request from '@/utils/request'

// 查询出库记录列表
export function listOutStore(query) {
  return request({
    url: '/base/outStore/list',
    method: 'get',
    params: query
  })
}

// 查询出库记录详细
export function getOutStore(objId) {
  return request({
    url: '/base/outStore/' + objId,
    method: 'get'
  })
}

// 新增出库记录
export function addOutStore(data) {
  return request({
    url: '/base/outStore',
    method: 'post',
    data: data
  })
}

// 修改出库记录
export function updateOutStore(data) {
  return request({
    url: '/base/outStore',
    method: 'put',
    data: data
  })
}

// 删除出库记录
export function delOutStore(objId) {
  return request({
    url: '/base/outStore/' + objId,
    method: 'delete'
  })
}
